Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Action's Activation List

Prev Next

Available in Classic and VPC

Get the list of the execution results of a Cloud Functions action. However, you can only view results that were executed within a month.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v2/packages/{packageName}/actions/{actionName}/activations
Note

Singapore and Japan Regions are available only in the VPC environment.

Request headers

For information about the headers common to all Cloud Functions APIs, see Cloud Functions request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
packageName String Required Package name
  • Enter the special character "-" for actions that are not part of a package.
    • Example: /packages/-/actions/myaction
actionName String Required Action name

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
platform String Optional Platform type
  • vpc | classic (default)
pageSize Integer Optional Query result page size
  • 20 (default)
pageNo Integer Optional Query result page number
  • 1 (default)
start String Optional Query start time
  • yyyy-MM-ddTHH:mm:ss format.
  • 1 month prior to request time (default).
  • Korea Standard Time (KST/UTC+9) is applied in the Korea Region and Singapore Standard Time (SST/UTC+8) in the Singapore Region.
end String Optional Query end time
  • yyyy-MM-ddTHH:mm:ss format
  • Request time (default).
  • Korea Standard Time (KST/UTC+9) is applied in the Korea Region and Singapore Standard Time (SST/UTC+8) in the Singapore Region.

Request example

The request example is as follows:

curl --location --request GET 'https://cloudfunctions.apigw.ntruss.com/api/v2/packages/package003/actions/action000/activations?platform=classic&pageNo=1&pageSize=1' \
--header 'Content-Type: application/json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
content Object - Action activation result information
content.activations Array - Execution result list: activations
content.totalCount Integer - Execution result count

activations

The following describes acivations.

Field Type Required Description
activationId String - Action execution result ID
activationId String - Action execution result ID
duration Integer - Action execution time (millisecond)
status String - Action status

Response status codes

For information about the HTTP status codes common to NAVER Cloud Platform, see Ncloud API response status codes.

Response example

The response example is as follows:

{
    "content": {
        "activations": [
            {
                "activationId": "*****8494cef4237b618494cefe*****",
                "duration": 1,
                "status": "success"
            }
        ],
        "totalCount": 1425
    }
}